package com.ruixuan.isc.mapper;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.KuaishouSettlementRules;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2023-05-15
 */
public interface KuaishouSettlementRulesMapper
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
     KuaishouSettlementRules selectKuaishouSettlementRulesById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param kuaishouSettlementRules 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<KuaishouSettlementRules> selectKuaishouSettlementRulesList(KuaishouSettlementRules kuaishouSettlementRules);

    /**
     * 新增【请填写功能名称】
     *
     * @param kuaishouSettlementRules 【请填写功能名称】
     * @return 结果
     */
    public int insertKuaishouSettlementRules(KuaishouSettlementRules kuaishouSettlementRules);

    /**
     * 修改【请填写功能名称】
     *
     * @param kuaishouSettlementRules 【请填写功能名称】
     * @return 结果
     */
    public int updateKuaishouSettlementRules(KuaishouSettlementRules kuaishouSettlementRules);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteKuaishouSettlementRulesById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouSettlementRulesByIds(Long[] ids);

    List<JSONObject> getRuleList(@Param("userId") Long userId, @Param("ruleName") String ruleName);

    Long getMaxRuleId();
}

